export default {
  methods: {
    checkPrivilege(type, field) {
      const key = `${type}_${field}`.toLowerCase();
      const routerPrivileges =
        this.$store.state.privilegeMap[this.$route.name] || [];
      return routerPrivileges.includes(key);
    }
  }
};
